package org.ioc.commons.flowcontrol.operationmanager;

/**
 * Elements which inherite from this interface represent an operation which will
 * be executed during a period of time.
 * 
 * Useful for asynchronous proccess, an Operation helps to determine when a process is
 * beginning and when it has finished.
 * 
 * @author Jesús Lunar Pérez
 * 
 */
public interface IsOperation {

}
