package org.ioc.commons.flowcontrol.placecontroller;

/**
 * Elements that inherit from this interface contain associated data from a
 * particular place where the user can address on the application.
 * 
 * @author Jesús Lunar Pérez
 * 
 */
public interface HasPlaceData {
	/**
	 * 
	 * @return Returns the place id associated to this data place container
	 */
	Enum<? extends IsPlace> getPlaceId();
}
