package org.ioc.commons.ui;

/**
 * Feature for a component which has status.
 * 
 * @author Jesús Lunar Pérez
 * 
 * @param <T>
 *            Enumeration with the available status
 */
public interface HasStatus<T extends Enum<T>> {
	void setStatus(T status);

	T getStatus();
}
