package org.ioc.commons.integration.service;

import org.ioc.commons.flowcontrol.operationmanager.IsOperation;
import org.ioc.commons.flowcontrol.operationmanager.OperationManagerTrigger;

public interface ServiceOperationManager<T> {
	ServiceOperationManager<T> to(ServiceCallback<T> callback);

	<O extends Enum<? extends IsOperation>> ServiceOperationManager<T> performing(O operation,
			OperationManagerTrigger<O> trigger);
}
