package org.ioc.commons.ui;

/**
 * Feature for a component which contains only on widget inside.
 * 
 * @author 'Jesús Lunar Pérez'
 * 
 */
public interface HasOneWidget {
	public void setWidget(IsWidget widget);

	public IsWidget getWidget();
}
