package org.ioc.commons.ui;

/**
 * Feature for a component which has a value.
 * 
 * @author Jesús Lunar Pérez
 * 
 * @param <D>
 *            Type of the value
 */
public interface HasValue<D> {
	void setValue(D value);

	D getValue();
}
